front-end-cal(1)

NAME
front-end-cal - RF front-end center frequency and sampling rate calibration tool.

SYNOPSIS
front-end-cal -config_file=<path-to-configuration-file> [OPTION]...

DESCRIPTION
front-end-cal is a calibration tool for some DVB-T receivers based on the Taiwan's Realtek RTL2832U chipset, sold in form of USB dongles that allow users to watch over-the-air DVB-T European broadcast television on their personal computers, to be used as GNSS front-ends. .TP Normally, those devices send partially-decoded MPEG transport frames over the USB, but exploiting an undocumented mode of operation of the demodulator chip, the user is able to obtain raw I&Q samples, stream them through USB to a personal computer and then use gnss-sdr, turning the DVB-T receiver into a GNSS receiver and delivering position in real-time. .TP The crystal oscillator that ships with the RTL2832U family devices exhibits limited accuracy to be used as a GNSS receiver front-end without previous calibration. front-end-cal implements the algorithm proposed in [1], and it requires Internet access since it retrieves Assisted GPS data from SUPL servers. .TP front-end-cal is able to work with raw data files or, if there is computational power enough, in real time with suitable radio frequency front-ends. The whole receiver is defined in a single configuration file, and therefore users can define theirs.

OPTIONS
front-end-cal takes the following options:

-config_file=<path-to-configuration-file> Set the configuration file.

-signal_source=<path-to-raw-signal-file> If defined, path to the file containing the signal samples (overrides the data file specified in the configuration file).

-log_dir=<path-to-directory> If defined, overrides the default directory where logs are saved.

-version Print program version and exit.

-help Print all the available commandline flags and exit.

SEE ALSO
gnss-sdr(1),volk_gnsssdr_profile(1) .TP Example of configuration file available at: ${prefix}/share/gnss-sdr/conf/front-end-cal.conf, where ${prefix}$ uses to be /usr or /usr/local. This will be the configuration file used by default if the -config_file option is not set. .TP [1] C. Fernandez-Prades, J. Arribas, P. Closas, Turning a Television into a GNSS Receiver, in Proceedings of ION GNSS+, 15-16 September 2013, Nashville, Tennessee (USA). A draft copy is freely available at https://www.researchgate.net/publication/257137427_Turning_a_Television_into_a_GNSS_Receiver .TP Check https://gnss-sdr.org for more information.

BUGS
No known bugs.

AUTHOR
Javier Arribas (javier.arribas@cttc.es) .TP This software has been developed at CTTC (Centre Tecnologic de Telecomunicacions de Catalunya, https://www.cttc.cat) with contributions from around the world.